Skip to main content
PUT
/
employees
/
{employee}
/
holidays_history
Feiertagskalender-Zuweisungen aktualisieren
curl --request PUT \
  --url https://{tenant}.stamp.eu/rest/employees/{employee}/holidays_history \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "assignments": [
    {
      "holiday_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "valid_after": "2023-12-25"
    }
  ]
}
'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "holiday_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "valid_after": "2023-12-25",
      "holiday": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "is_system": true,
        "source_key": "<string>",
        "entries": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "date": "2023-12-25",
            "name": "<string>",
            "half_day": true
          }
        ],
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z"
      },
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

employee
string<uuid>
required

Mitarbeiter-ID (UUID)

Body

application/json
assignments
object[]
required

Response

Zuweisungen aktualisiert

data
object[]
required